package com.ss.android.ugc.aweme.login;

import X.C6022FFq;
import X.Lnj;
import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class LoginUtilsServiceImpl implements ILoginUtilsService {
    static {
        Covode.recordClassIndex(91545);
    }

    public static ILoginUtilsService LIZ() {
        MethodCollector.i(124);
        ILoginUtilsService iLoginUtilsService = (ILoginUtilsService) Lnj.LIZ(ILoginUtilsService.class, false);
        if (iLoginUtilsService != null) {
            MethodCollector.o(124);
            return iLoginUtilsService;
        }
        Object LIZIZ = Lnj.LIZIZ(ILoginUtilsService.class, false);
        if (LIZIZ != null) {
            ILoginUtilsService iLoginUtilsService2 = (ILoginUtilsService) LIZIZ;
            MethodCollector.o(124);
            return iLoginUtilsService2;
        }
        if (Lnj.LLZZLLIL == null) {
            synchronized (ILoginUtilsService.class) {
                try {
                    if (Lnj.LLZZLLIL == null) {
                        Lnj.LLZZLLIL = new LoginUtilsServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(124);
                    throw th;
                }
            }
        }
        LoginUtilsServiceImpl loginUtilsServiceImpl = (LoginUtilsServiceImpl) Lnj.LLZZLLIL;
        MethodCollector.o(124);
        return loginUtilsServiceImpl;
    }

    public final void LIZ(Bundle bundle) {
        C6022FFq.LIZ(bundle);
    }
}
